Package twisted :: Package python :: Module delay :: Class Steps

[show private | hide private]
[frames | no frames]

## Class Steps

    Looping --+
              |
             Steps

A class to represent a series of steps.

Method Summary
| ``__init__`(self, ticks, func, list, delayed)` Initialize.
| ``loop`(self, *args, **kw)` call my function with the given arguments, then reschedule me (inherited from `Looping`)
| `rebuildUpdate(self, updater)`
| ``step`(self)` Execute one step through.
| ``stop`(self)` Externally stop a looped event from recurring. (inherited from `Looping`)

Class Variable Summary
`int` | `offset`

Method Details

### __init__(self, ticks, func, list, delayed)
(Constructor)

Initialize.

### step(self)

Execute one step through.

Class Variable Details

### offset

  Type:
    `int`
  Value:

        0

Generated by Epydoc 1.1 on Sat Feb 15 21:18:04 2003 | http://epydoc.sf.net